import { ReactNode } from 'react';
import { FormField, FormFieldProps, RenderProps } from '../field/FormField';
import { Tooltip as TextTooltip } from '../core/enum';
import { CurrencyProps } from '../currency/Currency';
import Field from '../data-set/Field';
export interface OutputProps extends FormFieldProps<any>, Omit<CurrencyProps<any>, 'tooltip'> {
    /**
     * 自定义渲染数据为空的状态
     */
    renderEmpty?: () => ReactNode;
    /**
     * 用tooltip显示文本内容
     * 可选值：`none` `always` `overflow`
     */
    tooltip?: TextTooltip;
}
export default class Output extends FormField<OutputProps> {
    static displayName: string;
    static __PRO_OUTPUT: boolean;
    static defaultProps: {
        suffixCls: string;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    isEditable(): boolean;
    useFocusedClassName(): boolean;
    handleChange(): void;
    getOmitPropsKeys(): string[];
    getOtherPropsExcludeOutput(otherProps: any): any;
    getWrapperClassNamesExcludeOutput(): undefined;
    getObservablePropsExcludeOutput(): undefined;
    getValueKey(value: any): any;
    processValue(value: any): ReactNode;
    defaultRenderer(renderProps: RenderProps): ReactNode;
    /**
     * 多行单元格渲染
     */
    renderMultiLine(field: Field): ReactNode;
    getRenderedValue(): ReactNode;
    getTooltipTitle(): ReactNode;
    showTooltip(e: any): boolean;
    renderWrapper(): ReactNode;
}
